"edr.n" <-
function(object, n){
    object$evec[,1:n]
}

"edr.percent" <-
function(object, percent){
    if(percent > 1 || percent < 0){
        stop("percent should be between 0 and 1\n");
    }
    
    values  = object$eval;
    vectors = object$evec;
    
	j=1;
	while(sum(values[1:j])/sum(values) < percent){
		j=j+1; # take the first j eigenvalues
	}
	pct = round(sum(values[1:j])/sum(values), 2);
	cat(paste("eigen.value =", "\n"));
	cat(signif(values,3));
	cat("\n");
	cat(paste("First", j, "eigen values explain",  pct, "variance", "\n"));
	cat("\n");

	vectors.mtr = vectors[,1:j];
	vectors.mtr
}

