\name{sir.test}
\alias{sir.test}
\title{ test how many sir directions are significant }
\description{
  This function use asymptotic Chi-square test to test how many sir directions
  are significant. The print function of class csir and class ds will call this
  function automatically.
}
\usage{
sir.test(object, nd = length(object$eval))
}
\arguments{
  \item{object}{ an object of class csir or class ds }
  \item{nd}{ the number most significant directions to test }
}
\details{
  
}
\value{
  A data frame with the following components
  \item{Chisq }{Chi-square statistics}
  \item{df }{ degree of freedom }
  \item{p.value}{ p-value of chi-square test }
}
\references{ 
  Ker-chau Li (1991) Sliced inverse regression for dimension reduction (with
  discussion)..   \emph{J. Amer. Statist. Assoc.} \bold{86}, 316-342.
}
\author{  Wei Sun sunwei@stat.ucla.edu }
\note{ This test assume that regressors follow normal distribution }

\seealso{ \code{\link{cen.sir}} \code{\link{double.slice}} }
\examples{
}
\keyword{ htest }
